Package com.sas.lsaf.clinical.dictionary

## Class ExternalDictionary

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.clinical.dictionary.ExternalDictionary

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class ExternalDictionary
      extends AbstractIdentifiable

  An external dictionary is a reference to an industry standard dictionary such as MedDRA and WHODRUG. The reference information includes the version number. The values in the external dictionaries are used by SAS Life Science Analytics Framework, but the values are not stored in SAS Life Science Analytics Framework.
  Since:
    2.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExternalDictionary​(java.lang.String id, java.lang.String dictionary, java.lang.String version, DataType dataType, java.lang.String shortName, java.lang.String name, java.lang.String href, java.lang.String description, java.lang.String createdBy, java.util.Date created, java.lang.String lastModifiedBy, java.util.Date lastModified, int numStudiesAssociated)` | It is not intended or recommended that the consumer of the API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Date` | `getCreated()` | Gets the date on which the external dictionary was created.
    `java.lang.String` | `getCreatedBy()` | Gets the userId of the user who created the external dictionary.
    `DataType` | `getDataType()` | Gets the data type of the external dictionary.
    `java.lang.String` | `getDescription()` | Gets the description of the external dictionary.
    `java.lang.String` | `getDictionary()` | Gets the name of the external dictionary.
    `java.lang.String` | `getHref()` | Gets the href of the external dictionary.
    `java.util.Date` | `getLastModified()` | Gets the date on which the external dictionary was last modified.
    `java.lang.String` | `getLastModifiedBy()` | Gets the userId of the user who last modified the external dictionary.
    `java.lang.String` | `getName()` | Gets the reference name of the external dictionary.
    `int` | `getNumStudiesAssociated()` | Gets the number of studies that are associated with the external dictionary.
    `java.lang.String` | `getShortName()` | Gets the short name of the external dictionary.
    `java.lang.String` | `getVersion()` | Gets the version of the external dictionary.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalDictionary

          public ExternalDictionary​(java.lang.String id,
                                    java.lang.String dictionary,
                                    java.lang.String version,
                                    DataType dataType,
                                    java.lang.String shortName,
                                    java.lang.String name,
                                    java.lang.String href,
                                    java.lang.String description,
                                    java.lang.String createdBy,
                                    java.util.Date created,
                                    java.lang.String lastModifiedBy,
                                    java.util.Date lastModified,
                                    int numStudiesAssociated)

      It is not intended or recommended that the consumer of the API construct these objects. They should only deal with the external dictionaries returned by the API.
      Parameters:
        `id` - The identifier of the external dictionary.
        `dictionary` - The name of the external dictionary.
        `version` - The version of the external dictionary.
        `dataType` - The data type of the external dictionary.
        `shortName` - The short name of the external dictionary.
        `name` - The reference name of the external dictionary.
        `href` - The href of the external dictionary.
        `description` - The description of the external dictionary.
        `createdBy` - The userId of the user who created the external dictionary.
        `created` - The date on which the external dictionary was created.
        `lastModifiedBy` - The userId of the user who last modified the external dictionary.
        `lastModified` - The date on which the external dictionary was modified.
        `numStudiesAssociated` - The number of studies that are associated with the external dictionary.

  - ### Method Detail

    - #### getShortName

          public java.lang.String getShortName()

      Gets the short name of the external dictionary.
      Returns:
        The short name of the external dictionary.

    - #### getName

          public java.lang.String getName()

      Gets the reference name of the external dictionary.
      Returns:
        The reference name of the external dictionary.

    - #### getDictionary

          public java.lang.String getDictionary()

      Gets the name of the external dictionary.
      Returns:
        The name of the external dictionary.

    - #### getVersion

          public java.lang.String getVersion()

      Gets the version of the external dictionary.
      Returns:
        The version of the external dictionary.

    - #### getHref

          public java.lang.String getHref()

      Gets the href of the external dictionary.
      Returns:
        The href of the external dictionary.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the external dictionary.
      Returns:
        The description of the external dictionary.

    - #### getCreatedBy

          public java.lang.String getCreatedBy()

      Gets the userId of the user who created the external dictionary.
      Returns:
        The userId of the user who created the external dictionary.

    - #### getCreated

          public java.util.Date getCreated()

      Gets the date on which the external dictionary was created.
      Returns:
        The date on which the external dictionary was created.

    - #### getLastModified

          public java.util.Date getLastModified()

      Gets the date on which the external dictionary was last modified.
      Returns:
        The date on which the external dictionary was last modified.

    - #### getLastModifiedBy

          public java.lang.String getLastModifiedBy()

      Gets the userId of the user who last modified the external dictionary.
      Returns:
        The userId of the user who last modified the external dictionary.

    - #### getDataType

          public DataType getDataType()

      Gets the data type of the external dictionary.
      Returns:
        The data type of the external dictionary.

    - #### getNumStudiesAssociated

          public int getNumStudiesAssociated()

      Gets the number of studies that are associated with the external dictionary.
      Returns:
        The number of studies that are associated with the external dictionary.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`